LIBKECCAK_BEHEX_UPPER(3)

NAME
libkeccak_behex_upper - Converts a binary hashsum to upper case hexadecimal

SYNOPSIS
#include <libkeccak.h>
void libkeccak_behex_upper(char *restrict output, const void *restrict hashsum, size_t n);

Link with -lkeccak.

DESCRIPTION
The libkeccak_behex_upper() function converts a binary hashsum, stored in hashsum, to uppercase hexadecimal, and stores the hexadecimal representation in output.

output will be terminated by a NUL-character.

The n parameter specifies the number of bytes the binary hashsum is comprised. output needs an allocation size of (2 * n + 1).

RETURN VALUES
The libkeccak_behex_upper() function does return any value.

ERRORS
The libkeccak_behex_upper() function cannot fail.

SEE ALSO
libkeccak_behex_lower(3), libkeccak_unhex(3)